Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ToggleActionSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ToggleAction. More...

`#include <xfc/gtk/toggleactionsignals.hh>`

Inheritance diagram for Xfc::Gtk::ToggleActionSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_toggled ()
    Called when the action is toggled between its two states.

## Protected Member Functions

Constructors

- ToggleActionSignals (ToggleAction *action)
    Construct a new ToggleActionSignals object.
- virtual ~ToggleActionSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ToggleAction.

## Constructor & Destructor Documentation

Xfc::Gtk::ToggleActionSignals::ToggleActionSignals | ( | ToggleAction * | action | ) | `[protected]`

Construct a new ToggleActionSignals object.

Parameters:

  | action | A ToggleAction object inheriting the ToggleActionSignals implementation.

The documentation for this class was generated from the following file:

- toggleactionsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3